package org.sanskritlibrary.proxy;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.sanskritlibrary.IOAssistance;

public class Startup extends HttpServlet {

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        String index;
        String dir = this.getServletContext().getInitParameter("sanskritLibraryDirectory");
        if (!dir.endsWith("/")) {
            dir += "/";
        }
        String fn = dir + "index.html";
        try {
            index = IOAssistance.readEntireFile(fn);
        } catch (Exception ex) {
            throw new IOException(ex);
        }
        response.setContentType("text/html");
        response.setCharacterEncoding("UTF-8");
        PrintWriter pw = response.getWriter();
        pw.print(index);
    }

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
