/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.sanskritlibrary.proxy;

import javax.servlet.ServletContext;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;
import org.sanskritlibrary.Config;

/**
 *
 * @author ralph
 */
public class StartupListener implements ServletContextListener{

    public void contextInitialized(ServletContextEvent sce) {
        String filename = sce.getServletContext().getRealPath("filemap.xml");
        ServletContext sc = sce.getServletContext();
        try {
            FileMap filemap = new FileMap(filename);
            sc.setAttribute("filemap", filemap);
            
            filename = sc.getInitParameter("dataDirectory") + "config.xml";
            Config config = new Config(filename);
            sc.setAttribute("config", config);
        } catch (Exception ex) {
            System.out.println(ex.getMessage());
        }
    }

    public void contextDestroyed(ServletContextEvent sce) {
    }

}
