/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.sanskritlibrary.proxy;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.sanskritlibrary.Config;
import org.sanskritlibrary.IOAssistance;
import org.sanskritlibrary.servlet.SanskritLibraryServlet;

/**
 *
 * @author ralph
 */
public class LoadXML extends SanskritLibraryServlet {


    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        String xmlfile = request.getParameter("file");
        String datadir = this.getServletContext().getInitParameter("dataDirectory");
        if (!datadir.endsWith("/")) {
            datadir += "/";
        }
        Config config = null;
        try {
            config = new Config(datadir + "config.xml");
        } catch (Exception ex) {
            throw new IOException(ex.getMessage());
        }
        String filename = config.catalogEntriesWithFacsimiles;
        if (!filename.endsWith("/")) {
            filename += "/";
        }
        filename += xmlfile;
        try {
            String xml = IOAssistance.readEntireFile(filename);
            this.writeResult(response, xml, "text/text");
        } catch (Exception ex) {
            throw new IOException(ex);
        }
    }

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
