/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.sanskritlibrary.proxy;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Hashtable;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.sanskritlibrary.IOAssistance;
import org.sanskritlibrary.servlet.SanskritLibraryServlet;
import org.sanskritlibrary.webservice.ByteBuffer;
import org.sanskritlibrary.webservice.UniversalProxy;

/**
 *
 * @author ralph
 */
public class SanskritHeritage extends SanskritLibraryServlet {

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {
        String slp1 = request.getParameter("word");
        String url;
        if (slp1 != null) {
/*            
            url = String.format("%s/SKT/skt_heritage", this.getServletContext().getInitParameter("shCGI"));
            slp1 = fixup(slp1);
            ServletOutputStream out = response.getOutputStream();
            //PrintWriter pw = response.getWriter();
            UniversalProxy proxy = new UniversalProxy();
            Hashtable<String, String> h = createHashtable(request);
            String format = "t=SL&lex=MW&st=t&us=f&cp=t&text=%s";
            String params = String.format(format, slp1);
            h.put("x-proxy-params", params);
            if (proxy.getResponse("GET", url, h, null)) {
                try {
                    proxy.getHeaders();
                    response.setCharacterEncoding("UTF-8");
                    response.setContentType("text/html; UTF-8");
                    ByteBuffer bb = proxy.getContent();
                    String result = new String(bb.content, "UTF-8");
                    out.print(result);
                } catch (Exception ex) {
                    out.print(ex.getMessage());
                }
            } else {
                out.print(String.format("%s: %s", url, proxy.getError()));
            }
*/
/*           
            String templateName = this.getServletContext().getRealPath("HuetTemplate.txt");
            try {
                String template = IOAssistance.readEntireFile(templateName);
                slp1 = fixup(slp1);
                ServletOutputStream out = response.getOutputStream();
                String shCGI = getServletContext().getInitParameter("shCGI");
                out.print(String.format(template, "%", "%", shCGI, slp1));
                out.flush();
            } catch (Exception ex) {
                throw new IOException(ex);
            }
*/
            String shCGI = getServletContext().getInitParameter("shCGI");
            slp1 = fixup(slp1);
            String format = "%s/SKT/skt_heritage?t=SL&lex=MW&st=t&us=f&cp=t&text=%s";
            String result = String.format(format, shCGI, slp1);            
            ServletOutputStream out = response.getOutputStream();
            out.print(result);
            out.flush();
        } else {
            request.setAttribute("helpfile", "helpVerbalMorphology.html");
            RequestDispatcher rd = request.getRequestDispatcher("VerbalMorphology.jsp");
            rd.forward(request, response);
        }    
    }

    
    private String fixup (String s) {
        s = s.replaceAll("\\s[.\\d]*$", "");
        s = s.replaceAll("[1234567890:()\\[\\]@#%;!\\?\t,=\\-]*", "");
        s = s.replaceAll("\\.", " ");
        s = s.replaceAll("  ", " ");
        s = s.replaceAll(" ", "%20");
        return s.trim();
    }
    
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
